Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core.convert
Interface ConversionService

All Known Implementing Classes:
  FormattingConversionService, GenericConversionService

    public interface ConversionService

A service interface for type conversion. This is the entry point into the convert system. Call `convert(Object, Class)` to perform a thread-safe type conversion using this system.

Since:
  3.0
Author:
  Keith Donald

Method Summary
`boolean` | `canConvert(Class<?> sourceType, Class<?> targetType)` Returns true if objects of sourceType can be converted to targetType.
`boolean` | `canConvert(TypeDescriptor sourceType, TypeDescriptor targetType)` Returns true if objects of sourceType can be converted to the targetType.
`
`<T> T`
` | `convert(Object source, Class<T> targetType)` Convert the source to targetType.
`Object` | `convert(Object source, TypeDescriptor sourceType, TypeDescriptor targetType)` Convert the source to targetType.

Method Detail

### canConvert

    boolean canConvert(Class<?> sourceType,
                       Class<?> targetType)

  Returns true if objects of sourceType can be converted to targetType.

  Parameters:
    `sourceType` - the source type to convert from (required)
    `targetType` - the target type to convert to (required)
  Returns:
    true if a conversion can be performed, false if not

### convert

    <T> T convert(Object source,
                  Class<T> targetType)

  Convert the source to targetType.

  Parameters:
    `source` - the source object to convert (may be null)
    `targetType` - the target type to convert to (required)
  Returns:
    the converted object, an instance of targetType
  Throws:
    `ConversionException` - if an exception occurred

### canConvert

    boolean canConvert(TypeDescriptor sourceType,
                       TypeDescriptor targetType)

  Returns true if objects of sourceType can be converted to the targetType. The TypeDescriptors provide additional context about the field locations where conversion would occur, often object property locations. This flavor of the canConvert operation exists mainly for use by a general purpose data mapping framework, and not for use by user code.

  Parameters:
    `sourceType` - context about the source type to convert from (required)
    `targetType` - context about the target type to convert to (required)
  Returns:
    true if a conversion can be performed between the source and target types, false if not

### convert

    Object convert(Object source,
                   TypeDescriptor sourceType,
                   TypeDescriptor targetType)

  Convert the source to targetType. The TypeDescriptors provide additional context about the field locations where conversion will occur, often object property locations. This flavor of the convert operation exists mainly for use by a general purpose data mapping framework, and not for use by user code.

  Parameters:
    `source` - the source object to convert (may be null)
    `sourceType` - context about the source type converting from (required)
    `targetType` - context about the target type to convert to (required)
  Returns:
    the converted object, an instance of `targetType`
  Throws:
    `ConversionException` - if an exception occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD